//-----------------------------------------------------------------------------
// fonts.h  >>  generic user font module
// matt verran 14/06/1999
//-----------------------------------------------------------------------------

#include <libps.h>

typedef struct
  {
  int rows, columns;
  int char_height, char_width;
  char start_char,end_char;
  long tim_data;
  u_char start_u,start_v;
  GsSPRITE spriteHandler;       //temp font test
  GsIMAGE imageHandler;         //temp font test
  } Font;

void LoadFont(Font *fntInfo);
void ColFont(u_char r, u_char g, u_char b, u_char trsp, Font *fntInfo);
void DispFont(char *text, int x, int y, Font *fntInfo, GsOT *ot, int sort);
void DispFontDX(char *text, int x, int y, short scalex, short scaley, long rotate, Font *fntInfo, GsOT *ot, int sort);
